import {Model} from "sequelize";
import { Sequelize, DataTypes }  from 'sequelize';
import {AcsUserInfo} from "@core-models/AcsUserInfo";
import {AcsRole} from "@core-models/AcsRole";
import {PrjInfo} from "@core-models/PrjInfo";

/**
 * 流程定义表
 */

export class PrjFlow extends Model {
    // declare id: string;

    static table_name = 'tb_prj_flow';

    static attributes = {
        id: {
            type: DataTypes.STRING(16),
            primaryKey: true,
            comment: '流程编号'
        },
        name: {
            type: DataTypes.STRING,
            comment: '流程名称'
        }

    }

    static indexes = [
        // {fields: ['created_at']},
    ]

    static associate(sequelize: Sequelize) {
        try {
        } catch (e) {
            console.log(e);
        }
    }

    static init_sqls = [
    ]
}
