
import {Model} from "sequelize";
import { Sequelize, DataTypes }  from 'sequelize';

/**
 * 项目数量统计报表（每月底统计一次）
 */

export class ReportPrjStat extends Model {
    declare ts: string;
    declare amount: number;
    declare undone: number;

    static table_name = 'tb_report_prj_stat';

    static attributes = {
        ts: {
            type: DataTypes.DATEONLY,
            allowNull: false,
            comment: '日期',
            primaryKey: true,
        },
        amount: {
            type: DataTypes.INTEGER,
            comment: '项目数量',
        },
        undone: {
            type: DataTypes.INTEGER,
            comment: '未完成数量',
        }

    }

    static indexes = [
        {fields: ['ts']},
    ]

    static associate(sequelize: Sequelize) {
        try {
        } catch (e) {
            console.log(e);
        }
    }

    static init_sqls = [
    ]
}
