import {IDataModelInfo} from "@core/InitDataModel";
import {AcsDomain} from "@core-models/AcsDomain";
import {AcsUserInfo} from "@core-models/AcsUserInfo";
import {AcsUserDomain} from "@core-models/AcsUserDomain";
import {AcsModule} from "@core-models/AcsModule";
import {AcsFunction} from "@core-models/AcsFunction";
import {AcsApplication} from "@core-models/AcsApplication";
import {AcsRole} from "@core-models/AcsRole";
import {AcsRoleFunction} from "@core-models/AcsRoleFunction";
import {AcsUserRole} from "@core-models/AcsUserRole";
import {AcsMpClient} from "@core-models/AcsMpClient";

export const Models: Array<IDataModelInfo> = [
    {tag: 'acs', model: AcsDomain, timestamps: false},
    {tag: 'acs', model: AcsModule, timestamps: false},
    {tag: 'acs', model: AcsFunction, timestamps: false},
    {tag: 'acs', model: AcsApplication, timestamps: false},
    {tag: 'acs', model: AcsRole, timestamps: false},
    {tag: 'acs', model: AcsRoleFunction, timestamps: false},
    {tag: 'acs', model: AcsUserInfo, timestamps: false},
    {tag: 'acs', model: AcsUserRole, timestamps: false},
    {tag: 'acs', model: AcsUserDomain, timestamps: false},
    {tag: 'acs', model: AcsMpClient, timestamps: false},
]
