#!/bin/bash

# 执行 webpack 打包
webpack --mode production

# 上传到服务器
scp -r ../__dist/pmr-api-gateway/index.js root@112.124.10.239:/home/pmr/pmr-api-gateway
scp -r ../__dist/pmr-api-gateway/proxy.json root@112.124.10.239:/home/pmr/proxy.json
scp -r ../__dist/pmr-api-gateway/config.json root@112.124.10.239:/home/pmr/config.json

# 重启 Docker
ssh root@112.124.10.239 "docker restart pmr-api-gateway && docker logs pmr-api-gateway --tail 100 -ft"

