export function string_to_number_trim_zeros(str): number {
    // 将字符串转换为数字
    let num = parseFloat(str);

    // 检查是否为数字
    if (isNaN(num)) {
        return 0;
    }

    // 将数字转回字符串，并去除小数点后多余的0
    let trimmedStr = num.toFixed(20).replace(/\.?0+$/, "");

    // 如果结果为整数，则去除小数点
    if (trimmedStr.indexOf('.') === -1) {
        return parseInt(trimmedStr);
    } else {
        return parseFloat(trimmedStr);
    }
}