import {ServiceApp} from "@core/App";
import {MyRouter} from "@src/MyRouter";
import {guards} from "@src/guards/guards";
import {Models} from "@src/models/Models";
import {MpPlatformFactory} from "@classes/MpPlatformFactory";

new ServiceApp().start(new MyRouter('@src/routes', guards), Models).then(async () => {
    try {
        await MpPlatformFactory.initInstance('wx');
    } catch (e) {
        console.log(e);
    }
});
